Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Interface GroupMembershipHierarchyCacheMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface GroupMembershipHierarchyCacheMBean

extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

Defines methods used to get/set the configuration attributes that are required to support the Group Membership Hierarchy Cache.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`Boolean` | `getEnableGroupMembershipLookupHierarchyCaching()` Returns whether group membership hierarchies found during recursive membership lookup will be cached.
`Integer` | `getGroupHierarchyCacheTTL()` Returns the maximum number of seconds a group membership hierarchy entry is valid in the LRU cache.
`Integer` | `getMaxGroupHierarchiesInCache()` Returns the maximum size of the LRU cache for holding group membership hierarchies if caching is enabled.
`void` | `setEnableGroupMembershipLookupHierarchyCaching(Boolean enabled)` Sets whether to cache group membership hierarchies found during recursive membership lookup.
`void` | `setGroupHierarchyCacheTTL(Integer TTL)` Sets the maximum number of seconds a group membership hierarchy entry is valid in the LRU cache.
`void` | `setMaxGroupHierarchiesInCache(Integer max)` Sets the maximum size of the LRU cache for holding group membership hierarchies if caching is enabled.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getEnableGroupMembershipLookupHierarchyCaching

    Boolean getEnableGroupMembershipLookupHierarchyCaching()

  Returns whether group membership hierarchies found during recursive membership lookup will be cached. If true, each subtree found will be cached.

### setEnableGroupMembershipLookupHierarchyCaching

    void setEnableGroupMembershipLookupHierarchyCaching(Boolean enabled)
                                                        throws InvalidAttributeValueException

  Sets whether to cache group membership hierarchies found during recursive membership lookup. If true, each subtree found will be cached.

  Parameters:
    `enabled` - - new enable group membership lookup hierarchy caching value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `GroupMembershipHierarchyCacheMBean.getEnableGroupMembershipLookupHierarchyCaching()`

### getMaxGroupHierarchiesInCache

    Integer getMaxGroupHierarchiesInCache()

  Returns the maximum size of the LRU cache for holding group membership hierarchies if caching is enabled.

### setMaxGroupHierarchiesInCache

    void setMaxGroupHierarchiesInCache(Integer max)
                                       throws InvalidAttributeValueException

  Sets the maximum size of the LRU cache for holding group membership hierarchies if caching is enabled.

  Parameters:
    `max` - - the new maximum number of group hierarchies in the cache
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `GroupMembershipHierarchyCacheMBean.getMaxGroupHierarchiesInCache()`

### getGroupHierarchyCacheTTL

    Integer getGroupHierarchyCacheTTL()

  Returns the maximum number of seconds a group membership hierarchy entry is valid in the LRU cache.

### setGroupHierarchyCacheTTL

    void setGroupHierarchyCacheTTL(Integer TTL)
                                   throws InvalidAttributeValueException

  Sets the maximum number of seconds a group membership hierarchy entry is valid in the LRU cache.

  Parameters:
    `TTL` - - the new group hierarchy cache time to live in seconds.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `GroupMembershipHierarchyCacheMBean.getGroupHierarchyCacheTTL()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD